weka.attributeSelection

## Class UnsupervisedSubsetEvaluator

- java.lang.Object
- - weka.attributeSelection.ASEvaluation
  - - weka.attributeSelection.UnsupervisedSubsetEvaluator

- All Implemented Interfaces:
    java.io.Serializable, SubsetEvaluator, CapabilitiesHandler, CapabilitiesIgnorer, CommandlineRunnable, RevisionHandler

      public abstract class UnsupervisedSubsetEvaluator
      extends ASEvaluation
      implements SubsetEvaluator

  Abstract unsupervised attribute subset evaluator.
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall (mhall@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupervisedSubsetEvaluator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Clusterer` | `getClusterer()` Get the clusterer
    `abstract int` | `getNumClusters()` Return the number of clusters used by the subset evaluator
    `abstract void` | `setClusterer(Clusterer d)` Set the clusterer to use

    - ### Methods inherited from class weka.attributeSelection.ASEvaluation

      `buildEvaluator, clean, doNotCheckCapabilitiesTipText, forName, getCapabilities, getDoNotCheckCapabilities, getRevision, makeCopies, postExecution, postProcess, preExecution, run, runEvaluator, setDoNotCheckCapabilities`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface weka.attributeSelection.SubsetEvaluator

      `evaluateSubset`

- - ### Constructor Detail

    - #### UnsupervisedSubsetEvaluator

          public UnsupervisedSubsetEvaluator()

  - ### Method Detail

    - #### getNumClusters

          public abstract int getNumClusters()
                                      throws java.lang.Exception

      Return the number of clusters used by the subset evaluator
      Returns:
        the number of clusters used
      Throws:
        `java.lang.Exception` - if an error occurs

    - #### getClusterer

          public abstract Clusterer getClusterer()

      Get the clusterer
      Returns:
        the clusterer

    - #### setClusterer

          public abstract void setClusterer(Clusterer d)

      Set the clusterer to use
      Parameters:
        `d` - the clusterer to use